Index: /vlo/trunk/pom.xml
===================================================================
--- /vlo/trunk/pom.xml	(revision 1853)
+++ /vlo/trunk/pom.xml	(revision 1854)
@@ -1,28 +1,51 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
+         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
                       http://maven.apache.org/xsd/maven-4.0.0.xsd">
-  <modelVersion>4.0.0</modelVersion>
-  <groupId>eu.clarin.cmdi</groupId>
-  <artifactId>vlo_parent</artifactId>
-  <name>Virtual Language Observatory (parent pom)</name>
-  <packaging>pom</packaging>
-  <version>2.6</version>
-  <description>Parent pom for the whole vlo project (in order to be able to do fancy packaging.</description>
+    <modelVersion>4.0.0</modelVersion>
+    <groupId>eu.clarin.cmdi</groupId>
+    <artifactId>vlo_parent</artifactId>
+    <name>Virtual Language Observatory (parent pom)</name>
+    <packaging>pom</packaging>
+    <version>2.6</version>
+    <description>Parent pom for the whole vlo project (in order to be able to do fancy packaging.</description>
 
-  <parent>
-    <groupId>nl.mpi</groupId>
-    <artifactId>parent</artifactId>
-    <version>1.2</version>
-  </parent>
+    <parent>
+        <groupId>nl.mpi</groupId>
+        <artifactId>parent</artifactId>
+        <version>1.2</version>
+    </parent>
 
-  <modules>
-	<module>vlo_solr</module>
-	<module>vlo_webapp</module>
-  </modules>
+    <modules>
+        <module>vlo_solr</module>
+        <module>vlo_webapp</module>
+    </modules>
 
-  <properties>
-    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
-  </properties>
+    <properties>
+        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
+    </properties>
+
+    <build>
+        <plugins>
+            <plugin>
+                <artifactId>maven-assembly-plugin</artifactId>
+                <version>2.3</version>
+                <configuration>
+                    <descriptors>
+                        <descriptor>src/main/assembly/installPackageBuilder.xml</descriptor>
+                    </descriptors>
+                </configuration>
+                <executions>
+                    <execution>
+                        <id>make-assembly</id> <!-- this is used for inheritance merges -->
+                        <phase>package</phase> <!-- bind to the packaging phase -->
+                        <goals>
+                            <goal>single</goal>
+                        </goals>
+                    </execution>
+                </executions>
+            </plugin>
+        </plugins>
+    </build>
 </project>
 
Index: /vlo/trunk/src/main/assembly/installPackageBuilder.xml
===================================================================
--- /vlo/trunk/src/main/assembly/installPackageBuilder.xml	(revision 1853)
+++ /vlo/trunk/src/main/assembly/installPackageBuilder.xml	(revision 1854)
@@ -19,90 +19,105 @@
     </formats>
     <includeBaseDirectory>false</includeBaseDirectory>
-    <dependencySets>
-        <!-- IMPORTER: Dependencies -->
-        <dependencySet>
-            <useDefaultExcludes/>
-            <outputDirectory>bin/importer/lib</outputDirectory>
-        </dependencySet>
-    </dependencySets>
     <fileSets>
-        <!-- DOCS -->
+<!-- DOCS -->
         <fileSet>
-            <directory>../docs</directory>
-            <includes>*.*</includes>
-            <outputDirectory>/doc</outputDirectory>
+            <directory>docs</directory>
+            <includes>
+                <include>*.*</include>
+            </includes>
+            <outputDirectory>doc</outputDirectory>
         </fileSet>
         <fileSet>
-            <directory>.</directory>
-            <includes>CHANGES</includes>
-            <includes>DEPLOY-README</includes>
-            <outputDirectory>/doc</outputDirectory>
+            <directory>vlo_webapp</directory>
+            <includes>
+                <include>CHANGES</include>
+                <include>DEPLOY-README</include>
+            </includes>
+            <outputDirectory>doc</outputDirectory>
         </fileSet>
         <fileSet>
-            <directory>../vlo_solr</directory>
-            <includes>README.TXT</includes>
-            <outputDirectory>/doc/vlosolr</outputDirectory>
+            <directory>vlo_solr</directory>
+            <includes>
+                <include>README.TXT</include>
+            </includes>
+            <outputDirectory>doc/vlosolr</outputDirectory>
         </fileSet>
-        <!-- IMPORTER -->
-            <!-- run script -->
-            <fileSet>
-                <directory>src/main/bin</directory>
-                <includes>
-                    <include>*.sh</include>
-                    <fileMode>0755</fileMode>
-                </includes>
-                <outputDirectory>bin/importer/bin</outputDirectory>
-            </fileSet>
-            <!-- config files -->
-            <fileSet>
-              <directory>src/main/bin</directory>
-              <includes>
-                <include>log4j.properties</include>
-              </includes>
-              <outputDirectory>bin/importer/bin</outputDirectory>
-            </fileSet>
-            <fileSet>
-              <directory>src/main/resources</directory>
-              <includes>
-                <include>*.xml</include>
-              </includes>
-              <outputDirectory>bin/importer/bin</outputDirectory>
-            </fileSet>
-            <fileSet>
-              <directory>src/main/resources</directory>
-              <includes>
-                <include>*.xml</include>
-              </includes>
-              <outputDirectory>bin/importer/bin</outputDirectory>
-            </fileSet>
-            <!-- OVERWRITE applicationcontext.xml with the test version.
-                The normal (VLO_webapp) version contains a context parameter.
-                The importer does not have context parameters, being run from the commandline -->
-            <fileSet>
-              <directory>src/test/resources</directory>
-              <includes>
-                <include>applicationContext.xml</include>
-              </includes>
-              <outputDirectory>bin/importer/bin</outputDirectory>
-            </fileSet>
-        <!-- VLO WAR FILE -->
-            <!-- WAR FILE -->
-            <fileSet>
-                <directory>target</directory>
-                <includes>
-                    <include>*.war</include>
-                </includes>
-                <outputDirectory>war/vlo</outputDirectory>
-            </fileSet>
-            <!-- config -->
-            <fileSet>
-                <directory></directory>
-            </fileSet>
+<!-- IMPORTER -->
+        <!-- Jar File -->
+        <fileSet>
+            <directory>vlo_webapp/target</directory>
+            <includes>
+                <include>*jar-with-dependencies.jar</include>
+            </includes>
+            <outputDirectory>bin/importer</outputDirectory>
+        </fileSet>
+        <!-- run script -->
+        <fileSet>
+            <directory>vlo_webapp/src/main/bin</directory>
+            <includes>
+                <include>*.sh</include>
+            </includes>
+            <fileMode>0755</fileMode>
+            <outputDirectory>bin/importer</outputDirectory>
+        </fileSet>
+        <!-- config files -->
+        <fileSet>
+            <directory>vlo_webapp/src/main/bin</directory>
+            <includes>
+                <include>*.properties</include>
+            </includes>
+            <outputDirectory>bin/importer</outputDirectory>
+        </fileSet>
+        <fileSet><!-- TODO: Make NOT NEEDED, need properties instead! -->
+            <directory>vlo_webapp/src/main/resources</directory>
+            <includes>
+                <include>importerConfig.xml</include>
+                <include>application.properties</include>
+            </includes>
+            <outputDirectory>bin/importer</outputDirectory>
+        </fileSet>
+<!-- VLO WAR FILE -->
+        <!-- WAR FILE -->
+        <fileSet>
+            <directory>vlo_webapp/target</directory>
+            <includes>
+                <include>*.war</include>
+            </includes>
+            <outputDirectory>war/vlo</outputDirectory>
+        </fileSet>
+        <!-- config -->
+        <fileSet>
+            <directory>vlo_webapp/src/main/resources</directory>
+            <includes>
+                <include>contextfragment.xml</include>
+            </includes>
+            <outputDirectory>config/vlo</outputDirectory>
+        </fileSet>
 
-        <!-- SOLR -->
-            <!-- SOLR WAR FILE -->
+<!-- SOLR -->
+        <!-- SOLR WAR FILE -->
+        <fileSet>
+            <directory>vlo_solr/target</directory>
+            <includes>
+                <include>*.war</include>
+            </includes>
+            <outputDirectory>war/solr</outputDirectory>
+        </fileSet>
 
-            <!-- SOLR CONFIG -->
+        <!-- SOLR CONFIG -->
+        <fileSet>
+            <directory>vlo_solr/target/vlo_solr-1.4.2-vlo_solr_conf</directory>
+            <includes>
+                <include>solr</include>
+            </includes>
+            <outputDirectory>config/solr/solrconfig</outputDirectory>
+        </fileSet>
+        <fileSet>
+            <directory>vlo_solr/target/vlo_solr-1.4.2-vlo_solr_conf</directory>
+            <includes>
+                <include>vlo_solr.xml</include>
+            </includes>
+            <outputDirectory>config/solr</outputDirectory>
+        </fileSet>
     </fileSets>
-
 </assembly>
Index: /vlo/trunk/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/Configuration.java
===================================================================
--- /vlo/trunk/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/Configuration.java	(revision 1853)
+++ /vlo/trunk/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/Configuration.java	(revision 1854)
@@ -6,5 +6,5 @@
 /**
  * see applicationContext.xml resource for proper values.
- * 
+ *
  **/
 public final class Configuration {
@@ -15,4 +15,14 @@
     private final static String PROFILE_ID_PLACEHOLDER = "{PROFILE_ID}";
     private String solrUrl;
+
+    public String getImporterConfigFile() {
+        return importerConfigFile;
+    }
+
+    public void setImporterConfigFile(String importerConfigFile) {
+        this.importerConfigFile = importerConfigFile;
+    }
+
+    private String importerConfigFile;
 
     private String imdiBrowserUrl;// = "http://corpus1.mpi.nl/ds/imdi_browser?openpath=";
@@ -126,5 +136,5 @@
         this.profileSchemaUrl = profileSchemaUrl;
     }
-    
+
 
 }
Index: /vlo/trunk/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/importer/MetadataImporter.java
===================================================================
--- /vlo/trunk/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/importer/MetadataImporter.java	(revision 1853)
+++ /vlo/trunk/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/importer/MetadataImporter.java	(revision 1854)
@@ -67,5 +67,5 @@
         long start = System.currentTimeMillis();
         try {
-        	// Delete the whole Solr db
+            // Delete the whole Solr db
             if (config.isDeleteAllFirst()) {
                 LOG.info("Deleting original data...");
@@ -139,5 +139,5 @@
             result.add(rootFile);
         } else {
-			Collection<File> listFiles = FileUtils.listFiles(rootFile, VALID_CMDI_EXTENSIONS, true);
+            Collection<File> listFiles = FileUtils.listFiles(rootFile, VALID_CMDI_EXTENSIONS, true);
             result.addAll(listFiles);
         }
@@ -292,17 +292,19 @@
      */
     public static void main(String[] args) throws IOException {
-        BeanFactory factory = new ClassPathXmlApplicationContext(new String[] { Configuration.CONFIG_FILE, ImporterConfig.CONFIG_FILE });
+        BeanFactory factory = new ClassPathXmlApplicationContext(new String[] { Configuration.CONFIG_FILE });
         factory.getBean("configuration");
-        ImporterConfig config = (ImporterConfig) factory.getBean("importerConfig", ImporterConfig.class);
-        Configuration test = Configuration.getInstance();
-        System.out.println(test.getSolrUrl());
-
-        //MetadataImporter importer = new MetadataImporter(config);
-/*        importer.startImport();
+        Configuration cfg = Configuration.getInstance();
+
+        BeanFactory factory2 = new ClassPathXmlApplicationContext(new String[] { cfg.getImporterConfigFile() } );
+
+        ImporterConfig config = (ImporterConfig) factory2.getBean("importerConfig", ImporterConfig.class);
+
+        MetadataImporter importer = new MetadataImporter(config);
+        importer.startImport();
         if (config.isPrintMapping()) {
             File file = new File("xsdMapping.txt");
             FacetMappingFactory.printMapping(file);
             LOG.info("Printed facetMapping in " + file);
-        }*/
+        }
     }
 
Index: /vlo/trunk/vlo_webapp/src/main/resources/application.properties
===================================================================
--- /vlo/trunk/vlo_webapp/src/main/resources/application.properties	(revision 1853)
+++ /vlo/trunk/vlo_webapp/src/main/resources/application.properties	(revision 1854)
@@ -1,2 +1,3 @@
 #Application properties; specifically the solrUrl to use!
 eu.clarin.cmdi.vlo.solrUrl=http://localhost:8080/vlo_solr
+eu.clarin.cmdi.vlo.importerConfigFile=importerConfig.xml
Index: /vlo/trunk/vlo_webapp/src/main/resources/applicationContext.xml
===================================================================
--- /vlo/trunk/vlo_webapp/src/main/resources/applicationContext.xml	(revision 1853)
+++ /vlo/trunk/vlo_webapp/src/main/resources/applicationContext.xml	(revision 1854)
@@ -16,4 +16,6 @@
         <!--    <property name="solrUrl" value="http://lux16.mpi.nl:8080/vlo_solr" />-->
         <!--    <property name="solrUrl" value="http://catalog.clarin.eu:8080/vlo_solr" />-->
+        <property name="importerConfigFile" value="${eu.clarin.cmdi.vlo.importerConfigFile}" />
+
         <property name="IMDIBrowserUrl" value="http://corpus1.mpi.nl/ds/imdi_browser?openpath=" />
         <property name="handleServerUrl" value="http://hdl.handle.net/" />
Index: /vlo/trunk/vlo_webapp/src/main/resources/contextfragment.xml
===================================================================
--- /vlo/trunk/vlo_webapp/src/main/resources/contextfragment.xml	(revision 1853)
+++ /vlo/trunk/vlo_webapp/src/main/resources/contextfragment.xml	(revision 1854)
@@ -1,4 +1,5 @@
 <Context path="/ds/vlo" docBase="/lat/webapps/vlo/current" debug="0" privileged="true">
     <Parameter name="eu.clarin.cmdi.vlo.solrUrl" value="http://localhost/ds/vlosolr" override="false"/>
+    <Parameter name="eu.clarin.cmdi.vlo.importerConfigFile" value="/PATH/TO/IMPORTERCONFIG!"/>
 </Context>
 