Index: /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/browser/Browse.mxml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/browser/Browse.mxml	(revision 2092)
+++ /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/browser/Browse.mxml	(revision 2093)
@@ -6,6 +6,7 @@
 		   width="100%"
 		   height="100%"
-		   label="Browser"
-		   implements="clarin.cmdi.componentregistry.common.components.RegistryView">
+		   label="Component Browser"
+		   implements="clarin.cmdi.componentregistry.common.components.RegistryView"
+		   >
 	<mx:Metadata>
 		[Event(name="startItemLoaded",type="flash.events.Event")]
Index: /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/editor/Editor.mxml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/editor/Editor.mxml	(revision 2092)
+++ /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/editor/Editor.mxml	(revision 2093)
@@ -6,5 +6,5 @@
 		   width="100%"
 		   height="100%"
-		   label="Editor"
+		   label="Component Editor"
 		   creationComplete="init()"
 		   implements="clarin.cmdi.componentregistry.common.components.RegistryView" xmlns:components="clarin.cmdi.componentregistry.common.components.*"
Index: /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/importer/Importer.mxml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/importer/Importer.mxml	(revision 2092)
+++ /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/importer/Importer.mxml	(revision 2093)
@@ -5,5 +5,6 @@
 		   height="100%"
 		   label="Import file"
-		   implements="clarin.cmdi.componentregistry.common.components.RegistryView">
+		   implements="clarin.cmdi.componentregistry.common.components.RegistryView"
+		   >
 
 	<mx:Script>
@@ -211,4 +212,5 @@
 						 uploadComplete="registryChange(event)"/>
 	<mx:VBox>
+		
 		<mx:Form>
 			<mx:HBox>
Index: /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/main.mxml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/main.mxml	(revision 2092)
+++ /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/main.mxml	(revision 2093)
@@ -72,5 +72,7 @@
 					flexSpyButton.label="FlexSpy";
 					flexSpyButton.addEventListener(MouseEvent.CLICK,showFlexSpy);
-					topBar.addChild(flexSpyButton);
+					flexSpyButton.setStyle("right","0");
+					flexSpyButton.setStyle("top","0");
+					addChild(flexSpyButton);
 				}
 			}
@@ -86,18 +88,25 @@
 			  height="100%"
 			  layout="absolute"
-			  title="Clarin Component Browser"
+			  title="Clarin Component Registry"
 			  x="0"
 			  y="0">			  
-
-		<common:RegistryViewStack id="viewStack"
-								  borderStyle="none"
-								  height="100%"
-								  width="100%"/>
 		
-		<mx:HBox borderStyle="none" id="topBar" right="0">
-			<mx:Label text="User: {Credentials.instance.userName}"/>
-			<common:LoginLabelButton id="login" includeInLayout="{!Credentials.instance.isLoggedIn()}" visible="{!Credentials.instance.isLoggedIn()}" />
-			<common:UserSettingsLabelButton id="userSettings" includeInLayout="{Credentials.instance.isLoggedIn()}" visible="{Credentials.instance.isLoggedIn()}"/>
-		</mx:HBox>
+		<mx:VBox height="100%" width="100%">			
+			
+			<mx:HBox width="100%" id="topBar" styleName="topBar" verticalAlign="middle">
+				<mx:Label width="20%" styleName="sectionTitle" paddingLeft="5" text="{viewStack.selectedChild.label}" />
+			
+				<mx:HBox width="80%" horizontalAlign="right" paddingRight="5">					
+					<mx:Label text="User: {Credentials.instance.userName}"/>
+					<common:LoginLabelButton id="login" includeInLayout="{!Credentials.instance.isLoggedIn()}" visible="{!Credentials.instance.isLoggedIn()}" />
+					<common:UserSettingsLabelButton id="userSettings" includeInLayout="{Credentials.instance.isLoggedIn()}" visible="{Credentials.instance.isLoggedIn()}"/>
+				</mx:HBox>
+			</mx:HBox>
+			
+			<common:RegistryViewStack id="viewStack"
+									  borderStyle="none"
+									  height="100%"
+									  width="100%"/>
+		</mx:VBox>
 	</mx:Panel>
 		
Index: /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/resources/assets/css/main.css
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/resources/assets/css/main.css	(revision 2092)
+++ /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/resources/assets/css/main.css	(revision 2093)
@@ -63,4 +63,12 @@
 }
 
+.topBar{
+	backgroundColor: #DDE3EF;	
+}
+
+.sectionTitle {
+    fontWeight: bold;
+    fontSize: 18px;	
+}
 
 