Index: /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/browser/Browse.mxml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/browser/Browse.mxml	(revision 2094)
+++ /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/browser/Browse.mxml	(revision 2095)
@@ -7,5 +7,5 @@
 		   height="100%"
 		   label="Component Browser"
-		   implements="clarin.cmdi.componentregistry.common.components.RegistryView"
+		   implements="clarin.cmdi.componentregistry.common.components.RegistryView" xmlns:components="clarin.cmdi.componentregistry.common.components.*"
 		   >
 	<mx:Metadata>
@@ -162,9 +162,4 @@
 			}
 			
-			private static const USERSPACE_LABEL:String = "Work space";
-			private static const PUBLICSPACE_LABEL:String = "Public space";
-			[Bindable]
-			public var spaces:ArrayCollection = new ArrayCollection([{label: PUBLICSPACE_LABEL, data: 1}, {label: USERSPACE_LABEL, data: 2}]);
-			
 			private function setUserSpace(event:Event = null):void {
 				if (Config.instance.userSpace) {
@@ -173,14 +168,4 @@
 					userSpaceCB.selectedIndex = 0;
 				}
-			}
-			
-			private function userSpaceCloseHandler(event:Event):void {
-				if (Credentials.instance.isLoggedIn()) {
-					Config.instance.userSpace = ComboBox(event.target).selectedItem.data == 2;
-				} else if (userSpaceCB.selectedIndex != 0) {
-					userSpaceCB.selectedIndex = 0;
-					new Login().show(this, Config.VIEW_BROWSE, Config.SPACE_USER, null);
-				}
-				
 			}
 		]]>
@@ -205,11 +190,7 @@
 			
 			<mx:Box paddingTop="5" paddingLeft="5">
-				<mx:ComboBox id="userSpaceCB"
-							 dataProvider="{spaces}"
-							 width="110"
-							 close="userSpaceCloseHandler(event);"
-							 />
+				<components:SpaceSwitch id="userSpaceCB"  />
 			</mx:Box>
-						
+			
 			<mx:TabNavigator id="tabnav"
 							 width="100%"
Index: /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/browser/BrowserOverviewList.mxml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/browser/BrowserOverviewList.mxml	(revision 2094)
+++ /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/browser/BrowserOverviewList.mxml	(revision 2095)
@@ -34,4 +34,10 @@
 			[Bindable]
 			public var viewStack:RegistryViewStack;
+			
+			[Bindable]
+			public var buttonsEnabled:Boolean = true;
+			
+			[Bindable]
+			public var spaceSwitchEnabled:Boolean = false;
 			
 			public function set browserDataProvider(dataProvider:ArrayCollection):void {
@@ -104,8 +110,16 @@
 			 paddingRight="5"
 			 width="100%">
-	
+		
+		<mx:Box paddingTop="5" paddingLeft="5" 
+				visible="{spaceSwitchEnabled}" 
+				includeInLayout="{spaceSwitchEnabled}">
+			<comp:SpaceSwitch id="userSpaceCB" />
+		</mx:Box>
+		
 		<mx:HBox horizontalAlign="left"
 				 verticalAlign="middle"
-				 width="70%">
+				 width="70%"
+				 visible="{buttonsEnabled}"
+				 >
 			
 			<mx:Button label="Create new" 
Index: /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/common/components/SpaceSwitch.mxml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/common/components/SpaceSwitch.mxml	(revision 2095)
+++ /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/common/components/SpaceSwitch.mxml	(revision 2095)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="utf-8"?>
+<mx:ComboBox xmlns:mx="http://www.adobe.com/2006/mxml"
+				 dataProvider="{spaces}"
+				 selectedIndex="{Config.instance.userSpace ? 1 : 0}"
+				 width="110"
+				 close="userSpaceCloseHandler(event);"
+				 >
+	
+	<mx:Script>
+		<![CDATA[
+			import clarin.cmdi.componentregistry.common.Credentials;
+			import clarin.cmdi.componentregistry.common.Login;
+			import clarin.cmdi.componentregistry.services.Config;
+			
+			import mx.collections.ArrayCollection;
+			
+			private static const USERSPACE_LABEL:String = "Work space";
+			private static const PUBLICSPACE_LABEL:String = "Public space";
+			[Bindable]
+			public static var spaces:ArrayCollection = new ArrayCollection([{label: PUBLICSPACE_LABEL, data: 1}, {label: USERSPACE_LABEL, data: 2}]);
+			
+			private function userSpaceCloseHandler(event:Event):void {
+				if (Credentials.instance.isLoggedIn()) {
+					Config.instance.userSpace = ComboBox(event.target).selectedItem.data == 2;
+				} else if (selectedIndex != 0) {
+					selectedIndex = 0;
+					new Login().show(this.parent.parent, Config.VIEW_BROWSE, Config.SPACE_USER, null);
+				}
+			}
+		]]>
+	</mx:Script>
+</mx:ComboBox>
Index: /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/editor/Editor.mxml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/editor/Editor.mxml	(revision 2094)
+++ /ComponentRegistry/branches/ComponentRegistry-1.12.0/ComponentBrowserGui/src/main/flex/clarin/cmdi/componentregistry/editor/Editor.mxml	(revision 2095)
@@ -48,4 +48,6 @@
 				<browser:BrowserOverviewList id="componentsPaletteOverview"
 											 width="100%" height="90%"
+											 buttonsEnabled="false"
+											 spaceSwitchEnabled="true"
 											 browserDataProvider="{componentsSrv.itemDescriptions}"
 											 browserColumns="{browserColumns.getComponentColumns()}"