Index: /aai/clarin-sp-metadata.xml
===================================================================
--- /aai/clarin-sp-metadata.xml	(revision 2136)
+++ /aai/clarin-sp-metadata.xml	(revision 2137)
@@ -1193,104 +1193,4 @@
 
 
-    <!-- UniversitÃ€t Leipzig //-->
-    <EntityDescriptor ID="_a423ad5163a8068fb6e3a6e815666f70" entityID="https://asvsp.informatik.uni-leipzig.de/">
-
-  <SPSSODescriptor protocolSupportEnumeration="urn:oasis:names:tc:SAML:2.0:protocol urn:oasis:names:tc:SAML:1.1:protocol urn:oasis:names:tc:SAML:1.0:protocol">
-    <Extensions>
-      <DiscoveryResponse xmlns="urn:oasis:names:tc:SAML:profiles:SSO:idp-discovery-protocol" Binding="urn:oasis:names:tc:SAML:profiles:SSO:idp-discovery-protocol" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/DS" index="1"/>
-    <Extensions>
-    <KeyDescriptor use="signing">
-      <ds:KeyInfo xmlns:ds="http://www.w3.org/2000/09/xmldsig#">
-        <ds:KeyName>asvsp.informatik.uni-leipzig.de</ds:KeyName>
-        <ds:X509Data>
-          <ds:X509SubjectName>CN=asvsp.informatik.uni-leipzig.de,O=Universitaet Leipzig,L=Leipzig,ST=Sachsen,C=DE</ds:X509SubjectName>
-          <ds:X509Certificate>MIIFETCCA/mgAwIBAgIHEmLvXtc9wzANBgkqhkiG9w0BAQUFADB/MQswCQYDVQQG
-EwJERTEdMBsGA1UEChMUVW5pdmVyc2l0YWV0IExlaXB6aWcxDDAKBgNVBAsTA1VS
-WjEgMB4GA1UEAxMXVU5JVkVSU0lUQUVUIExFSVBaSUcgQ0ExITAfBgkqhkiG9w0B
-CQEWEnBraUB1bmktbGVpcHppZy5kZTAeFw0xMTA4MTEwNjA4MTRaFw0xNjA4MDkw
-NjA4MTRaMHoxCzAJBgNVBAYTAkRFMRAwDgYDVQQIEwdTYWNoc2VuMRAwDgYDVQQH
-EwdMZWlwemlnMR0wGwYDVQQKExRVbml2ZXJzaXRhZXQgTGVpcHppZzEoMCYGA1UE
-AxMfYXN2c3AuaW5mb3JtYXRpay51bmktbGVpcHppZy5kZTCCASIwDQYJKoZIhvcN
-AQEBBQADggEPADCCAQoCggEBAMgUg8gfwwqduJIvh63yIcn444R6Xy8jesNUBOGh
-o107r3/TvNzvEkVP1zNjGQfxvS81uLaoM0RwpDhL1Q+2UmUp61X7CrSbBhmWAKjZ
-BVQmZ7hZnmmfhWA4PnggsYJBO/MYpz3MexBTRf0HYuA2RRmns51HhiPnCBd4PNn2
-HDBv1ttFDaF6dQgMpd5zjyfGpHfYHjXne/eXiUNNHH5dVyJ5Sf10rw9g4OvxD1AW
-KtI3o3K5XOLyHjf3tnVeOXBsIkfHmqp2D4P60aw/lnGoBDNqLcM1sTW8DAH0ofQm
-nPpmKzi1TcxpME1BeGEs9UwHSkxdaULlPQIWbIIo2L9cxGUCAwEAAaOCAZUwggGR
-MAkGA1UdEwQCMAAwCwYDVR0PBAQDAgXgMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggr
-BgEFBQcDATAdBgNVHQ4EFgQU5REj6AREK3uPusToOXcUIzVSLVAwHwYDVR0jBBgw
-FoAUNozdHpzRupCA+KeKt3RqTck32g4wfQYDVR0fBHYwdDA4oDagNIYyaHR0cDov
-L2NkcDEucGNhLmRmbi5kZS91bmlsZWktY2EvcHViL2NybC9jYWNybC5jcmwwOKA2
-oDSGMmh0dHA6Ly9jZHAyLnBjYS5kZm4uZGUvdW5pbGVpLWNhL3B1Yi9jcmwvY2Fj
-cmwuY3JsMIGYBggrBgEFBQcBAQSBizCBiDBCBggrBgEFBQcwAoY2aHR0cDovL2Nk
-cDEucGNhLmRmbi5kZS91bmlsZWktY2EvcHViL2NhY2VydC9jYWNlcnQuY3J0MEIG
-CCsGAQUFBzAChjZodHRwOi8vY2RwMi5wY2EuZGZuLmRlL3VuaWxlaS1jYS9wdWIv
-Y2FjZXJ0L2NhY2VydC5jcnQwDQYJKoZIhvcNAQEFBQADggEBAIF/jix2xv53KdJP
-H7VD/5tdB7hZcI9LI2mLIqBfPEpnkOIEWp4pEv1+eBlISUnd9Ddm31zixtVcxqZv
-dWqRqLqT2UVJkGkQsnmc93s7wsMYeM53zf55ZqDUDT71r1rCfFZi2JwdCz1wV3AC
-JHF33PAxFdrG4iwk0Y7UNuRfcKREL+PKwhj3VSJ5Uef6ZpI2x5xKw6zlNg8pJpG5
-IxpR1XvTBSOGsZ2B1X4K2kSaga2QU8OnJwY8ISioP4lOis51exVu9NnsHVF91Orm
-C0cBesG9X+26WIatW+w7JytqFVOPIe6W2gjJtMXNdVIWPnZwVHdfNMjZopEPfW5g
-ZtVcIdg=
-</ds:X509Certificate>
-        </ds:X509Data>
-      </ds:KeyInfo>
-    <KeyDescriptor>
-    <KeyDescriptor use="encryption">
-      <ds:KeyInfo xmlns:ds="http://www.w3.org/2000/09/xmldsig#">
-        <ds:KeyName>asvsp.informatik.uni-leipzig.de</ds:KeyName>
-        <ds:X509Data>
-          <ds:X509SubjectName>CN=asvsp.informatik.uni-leipzig.de,O=Universitaet Leipzig,L=Leipzig,ST=Sachsen,C=DE</ds:X509SubjectName>
-          <ds:X509Certificate>MIIFETCCA/mgAwIBAgIHEmLvXtc9wzANBgkqhkiG9w0BAQUFADB/MQswCQYDVQQG
-EwJERTEdMBsGA1UEChMUVW5pdmVyc2l0YWV0IExlaXB6aWcxDDAKBgNVBAsTA1VS
-WjEgMB4GA1UEAxMXVU5JVkVSU0lUQUVUIExFSVBaSUcgQ0ExITAfBgkqhkiG9w0B
-CQEWEnBraUB1bmktbGVpcHppZy5kZTAeFw0xMTA4MTEwNjA4MTRaFw0xNjA4MDkw
-NjA4MTRaMHoxCzAJBgNVBAYTAkRFMRAwDgYDVQQIEwdTYWNoc2VuMRAwDgYDVQQH
-EwdMZWlwemlnMR0wGwYDVQQKExRVbml2ZXJzaXRhZXQgTGVpcHppZzEoMCYGA1UE
-AxMfYXN2c3AuaW5mb3JtYXRpay51bmktbGVpcHppZy5kZTCCASIwDQYJKoZIhvcN
-AQEBBQADggEPADCCAQoCggEBAMgUg8gfwwqduJIvh63yIcn444R6Xy8jesNUBOGh
-o107r3/TvNzvEkVP1zNjGQfxvS81uLaoM0RwpDhL1Q+2UmUp61X7CrSbBhmWAKjZ
-BVQmZ7hZnmmfhWA4PnggsYJBO/MYpz3MexBTRf0HYuA2RRmns51HhiPnCBd4PNn2
-HDBv1ttFDaF6dQgMpd5zjyfGpHfYHjXne/eXiUNNHH5dVyJ5Sf10rw9g4OvxD1AW
-KtI3o3K5XOLyHjf3tnVeOXBsIkfHmqp2D4P60aw/lnGoBDNqLcM1sTW8DAH0ofQm
-nPpmKzi1TcxpME1BeGEs9UwHSkxdaULlPQIWbIIo2L9cxGUCAwEAAaOCAZUwggGR
-MAkGA1UdEwQCMAAwCwYDVR0PBAQDAgXgMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggr
-BgEFBQcDATAdBgNVHQ4EFgQU5REj6AREK3uPusToOXcUIzVSLVAwHwYDVR0jBBgw
-FoAUNozdHpzRupCA+KeKt3RqTck32g4wfQYDVR0fBHYwdDA4oDagNIYyaHR0cDov
-L2NkcDEucGNhLmRmbi5kZS91bmlsZWktY2EvcHViL2NybC9jYWNybC5jcmwwOKA2
-oDSGMmh0dHA6Ly9jZHAyLnBjYS5kZm4uZGUvdW5pbGVpLWNhL3B1Yi9jcmwvY2Fj
-cmwuY3JsMIGYBggrBgEFBQcBAQSBizCBiDBCBggrBgEFBQcwAoY2aHR0cDovL2Nk
-cDEucGNhLmRmbi5kZS91bmlsZWktY2EvcHViL2NhY2VydC9jYWNlcnQuY3J0MEIG
-CCsGAQUFBzAChjZodHRwOi8vY2RwMi5wY2EuZGZuLmRlL3VuaWxlaS1jYS9wdWIv
-Y2FjZXJ0L2NhY2VydC5jcnQwDQYJKoZIhvcNAQEFBQADggEBAIF/jix2xv53KdJP
-H7VD/5tdB7hZcI9LI2mLIqBfPEpnkOIEWp4pEv1+eBlISUnd9Ddm31zixtVcxqZv
-dWqRqLqT2UVJkGkQsnmc93s7wsMYeM53zf55ZqDUDT71r1rCfFZi2JwdCz1wV3AC
-JHF33PAxFdrG4iwk0Y7UNuRfcKREL+PKwhj3VSJ5Uef6ZpI2x5xKw6zlNg8pJpG5
-IxpR1XvTBSOGsZ2B1X4K2kSaga2QU8OnJwY8ISioP4lOis51exVu9NnsHVF91Orm
-C0cBesG9X+26WIatW+w7JytqFVOPIe6W2gjJtMXNdVIWPnZwVHdfNMjZopEPfW5g
-ZtVcIdg=
-</ds:X509Certificate>
-        </ds:X509Data>
-      </ds:KeyInfo>
-    <KeyDescriptor>
-    <ArtifactResolutionService Binding="urn:oasis:names:tc:SAML:2.0:bindings:SOAP" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/Artifact/SOAP" index="1"/>
-    <SingleLogoutService Binding="urn:oasis:names:tc:SAML:2.0:bindings:SOAP" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/SLO/SOAP"/>
-    <SingleLogoutService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/SLO/Redirect"/>
-    <SingleLogoutService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/SLO/POST"/>
-    <SingleLogoutService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/SLO/Artifact"/>
-    <ManageNameIDService Binding="urn:oasis:names:tc:SAML:2.0:bindings:SOAP" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/NIM/SOAP"/>
-    <ManageNameIDService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/NIM/Redirect"/>
-    <ManageNameIDService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/NIM/POST"/>
-    <ManageNameIDService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/NIM/Artifact"/>
-    <AssertionConsumerService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/SAML2/POST" index="1"/>
-    <AssertionConsumerService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST-SimpleSign" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/SAML2/POST-SimpleSign" index="2"/>
-    <AssertionConsumerService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Artifact" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/SAML2/Artifact" index="3"/>
-    <AssertionConsumerService Binding="urn:oasis:names:tc:SAML:2.0:bindings:PAOS" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/SAML2/ECP" index="4"/>
-    <AssertionConsumerService Binding="urn:oasis:names:tc:SAML:1.0:profiles:browser-post" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/SAML/POST" index="5"/>
-    <AssertionConsumerService Binding="urn:oasis:names:tc:SAML:1.0:profiles:artifact-01" Location="https://asvsp.informatik.uni-leipzig.de/Shibboleth.sso/SAML/Artifact" index="6"/>
-  <SPSSODescriptor>
-
-<EntityDescriptor>
-
 
 </EntitiesDescriptor>